package com.eogns.board_back.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.eogns.board_back.entity.AttendanceEntity;
import com.eogns.board_back.service.AttendanceService;


import java.util.List;

@RestController
@RequestMapping("/api/v1/user")

public class AttendanceController {
    @Autowired
    private AttendanceService attendanceService;

    @PostMapping("/check-in/{email}")
    public AttendanceEntity checkIn(@PathVariable String email) {
        return attendanceService.checkIn(email);
    }

    @PostMapping("/check-out/{email}")
    public AttendanceEntity checkOut(@PathVariable String email) {
        return attendanceService.checkOut(email);
    }

    @GetMapping("/test/{email}")
    public List<AttendanceEntity> getAttendance(@PathVariable String email) {
        return attendanceService.getAttendance(email);
    }
}

