import { AUTH_PATH } from "constant";
import Footer from "layouts/Footer";
import Header from "layouts/Header";
import React from "react";
import { Outlet, useLocation } from "react-router-dom";

//          component:  레이아웃            //

export default function Container() {
  //          state:  현재 페이지의 path 이름을 가져옴        //
  const { pathname } = useLocation();
  //          render:  레이아웃  렌더링        //

  return (
    <>
      <Header />
      <Outlet />
      {pathname !== AUTH_PATH() && <Footer />}{" "}
      {/* 인증 화면이면 기본 틀 안생김 */}
    </>
  );
}
