import React from "react";
import "./style.css";

//           component: 푸터 레이아웃               //
export default function Footer() {
  //           event handler: 인스타 아이콘 버튼 클릭 이벤트 처리          //
  const onInstaIconButtonClickEventHandler = () => {
    window.open("https://www.instagram.com");
  };

  //           event handler: 네이버 아이콘 버튼 클릭 이벤트 처리          //
  const onNaverBlogIconButtonClickEventHandler = () => {
    window.open("https://www.naver.com");
  };

  //           render: 푸터 레이아웃  렌더링             //
  return (
    <div id="footer">
      <div className="footer-container">
        <div className="footer-top">
          <div className="footer-logo-box">
            <div className="icon-box">
              <div className="icon logo-light-icon"></div>
            </div>
            <div className="footer-logo-text">{"Layouts Footer"}</div>
          </div>
          <div className="footer-link-box">
            <div className="footer-email-link">{"eogns12312@naver.com"}</div>
            <div
              className="icon-button"
              onClick={onInstaIconButtonClickEventHandler}
            >
              <div className="icon insta-icon"></div>
            </div>
            <div
              className="icon-button"
              onClick={onNaverBlogIconButtonClickEventHandler}
            >
              <div className="icon naver-blog-icon"></div>
            </div>
          </div>
        </div>
        <div className="footer-bottom">
          <div className="footer-copyright">
            {"2024.08.21일부터 제작 시작함."}
          </div>
        </div>
      </div>
    </div>
  );
}
